void crcTest(uint32_t rprcOffset, uint32_t fileSize)
{
	char regHStr[12];
	char regLStr[12];

	crcSignature_t qspiSignature;

	UNICACHEWriteBackAndInvalidateAll(SOC_IPU1_UNICACHE_MMU_CONF_REGS_BASE, UNICACHE_WAIT_INFINITE);

	SBLUtilsComputeCRC((void*) (SOC_QSPI_ADDRSP1_BASE + rprcOffset), fileSize, &qspiSignature);

	snprintf(regHStr, (size_t) 12, "%x", qspiSignature.regH);
	snprintf(regLStr, (size_t) 12, "%x", qspiSignature.regL);
	SBLLibPrintf(SBLLIB_TRACE_LEVEL_INFO, "\r\n New address\nQSPI regH:");
	SBLLibPrintf(SBLLIB_TRACE_LEVEL_INFO, regHStr);
	SBLLibPrintf(SBLLIB_TRACE_LEVEL_INFO, "\r\n QSPI regL:");
	SBLLibPrintf(SBLLIB_TRACE_LEVEL_INFO, regLStr);
}